diff --git a/release.sh b/release.sh
index 314aaf839e236f4a46422e898cfea8ea9923f695..c4b7a868c822352e2f4698c7a6f74832fd3c1476 100755
--- a/release.sh
+++ b/release.sh
@@ -20,6 +20,10 @@ confirm () {
 VALIDATED=
 if [ "$1" = --validated ] ; then
   VALIDATED=yes
+elif test -n "$1" ; then
+  echo ERROR
+  echo "cannot understand $1 option"
+  exit 1
 fi
 
 
@@ -89,26 +93,30 @@ if ! test "$VALIDATED" ; then
   echo "  http://plumed.github.io/doc-v$shortversion"
   echo "In case of success, relaunch this script as \"./release.sh --validated\""
 else
-  echo "Updating VERSION file to $version"
   {
     grep  \# VERSION 
     echo $version
   } > VERSION.tmp
   mv VERSION.tmp VERSION
-  git add VERSION
+  echo "Here's the new VERSION file:"
+  echo "***"
+  cat VERSION
+  echo "***"
   msg="Release v$version
 
 [makedoc]"
-  echo "Now I will make the release commit, add a tag named v$version"
+  echo "Now I will add it, prepare a release commit, add a tag named v$version"
   echo "push it to origin and create a tgz file"
   echo "I will use the following commands:"
   echo "***"
+  echo "git add VERSION"
   echo "git commit --allow-empty -m \"$msg\""
   echo "git tag v$version"
   echo "git push origin v$version"
   echo "git archive -o plumed-$version.tgz --prefix plumed-$version/ v$version"
   echo "***"
   confirm || exit
+  git add VERSION
   git commit --allow-empty -m "$msg"
   git tag v$version
   git push origin v$version
diff --git a/src/core/ActionRegister.h b/src/core/ActionRegister.h
index 3ad164584e38b4ac979748080e132e824e49853d..26cd835e8d99738642261ad6bdf5f94ecb92f9ab 100644
--- a/src/core/ActionRegister.h
+++ b/src/core/ActionRegister.h
@@ -95,11 +95,7 @@ std::ostream & operator<<(std::ostream &log,const ActionRegister&ar);
 
 #define PLUMED_CONCATENATE_DIRECT(s1, s2) s1##s2
 #define PLUMED_CONCATENATE(s1, s2) PLUMED_CONCATENATE_DIRECT(s1, s2)
-#ifdef _MSC_VER // Necessary for edit & continue in MS Visual C++.
-# define PLUMED_UNIQUENAME(str) PLUMED_CONCATENATE(str, __COUNTER__)
-#else
-# define PLUMED_UNIQUENAME(str) PLUMED_CONCATENATE(str, __LINE__)
-#endif
+#define PLUMED_UNIQUENAME(str) PLUMED_CONCATENATE(str, __LINE__)
 
 /// Shortcut for Action registration
 /// \relates PLMD::ActionRegister